Package com.xebialabs.xlrelease.domain.calendar

## Class SpecialDay

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.calendar.CalendarEntry
    - - com.xebialabs.xlrelease.domain.calendar.SpecialDay

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(description="A special day in the calendar",
                root=CONFIGURATION,
                versioned=false)
      public class SpecialDay
      extends CalendarEntry

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DATE_FORMAT` |

    - ### Fields inherited from class com.xebialabs.xlrelease.domain.calendar.CalendarEntry

      `endDate, label, startDate`

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpecialDay()` |
    `SpecialDay​(java.lang.String label, java.lang.String color)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getColor()` |
    `boolean` | `isBlank()` |
    `void` | `setColor​(java.lang.String color)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.calendar.CalendarEntry

      `getEndDate, getLabel, getStartDate, setEndDate, setLabel, setStartDate`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DATE_FORMAT

          public static final java.lang.String DATE_FORMAT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SpecialDay

          public SpecialDay()

    - #### SpecialDay

          public SpecialDay​(java.lang.String label,
                            java.lang.String color)

  - ### Method Detail

    - #### isBlank

          public boolean isBlank()

    - #### getColor

          public java.lang.String getColor()

    - #### setColor

          public void setColor​(java.lang.String color)